package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.bean.UseApplyBean;
import com.wd.workoffice.util.MathUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class UseApplyAdapter extends BaseQuickAdapter<UseApplyBean.RecordsBean, BaseViewHolder> {
    int status;
    boolean hasPermission = true;

    public UseApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public UseApplyAdapter(int layoutResId, @Nullable List<UseApplyBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, UseApplyBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_num, MathUtils.converData(item.getProductAmount(),3));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getStatus())));
        if (status == 0) {
            if (hasPermission) {
                helper.setVisible(R.id.ll_btn, true);
                helper.addOnClickListener(R.id.tv_agree);
                helper.addOnClickListener(R.id.tv_refuse);
            }
        }

    }

    public boolean isHasPermission() {
        return hasPermission;
    }

    public void setHasPermission(boolean hasPermission) {
        this.hasPermission = hasPermission;
    }
}

